Download an optimized image
Downloads the optimized file as an attachment, the same as GET /optimize/{id}/file. Needs no key, so the link can be passed on until expires_at.
GET
https://realpng.com/api/v1/optimize/{id}/imagePath Parameters
id*string
Format
uuidResponse Body
application/json
application/json
curl -L -o optimized.png "https://realpng.com/api/v1/optimize/7c9e6679-7425-40de-944b-e07fc1f90ae7/image""string"Download an optimized file GET
Downloads the optimized file as an attachment, a PNG for an image or an MP4 for a video. Needs no key, so the link can be passed on until expires_at.
Get a one-time upload URL POST
Returns a one-time URL to PUT a local file to. Send its id as image_upload_id, video_upload_id or audio_upload_id to POST /audit. Voice clips cannot be optimized.